package com.gic.finance.dao.mapper;

import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.qo.CashWithdrawalQueryListQO;

import java.util.List;
/**
 * 提现
 * @ClassName: TabCashWithdrawalMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/11 11:36 AM 
 */
public interface TabCashWithdrawalMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCashWithdrawal record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCashWithdrawal record);

    /**
     * 根据主键查询
     *
     * @param cashWithdrawalId 主键
     * @return 实体对象
     */
    TabCashWithdrawal selectByPrimaryKey(Integer cashWithdrawalId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCashWithdrawal record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCashWithdrawal record);

    /**
     * 查询列表
     * @Title: listCashWithdrawal 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.finance.entity.TabCashWithdrawal> 
      */
    List<TabCashWithdrawal> listCashWithdrawal(CashWithdrawalQueryListQO params);

    /**
     * 根据流水号查询
     * @Title: getBySerialNumber 
     * @Description:
     * @author guojuxing
     * @param serialNumber 
     * @return  com.gic.finance.entity.TabCashWithdrawal 
     */
    TabCashWithdrawal getBySerialNumber(String serialNumber);
}