package com.gic.finance.dao.mapper;

import com.gic.finance.entity.TabInvoiceAccount;

import java.util.List;
/**
 * 发票账号管理
 * @ClassName: TabInvoiceAccountMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/11 11:35 AM 
 */
public interface TabInvoiceAccountMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabInvoiceAccount record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabInvoiceAccount record);

    /**
     * 根据主键查询
     *
     * @param invoiceAccountId 主键
     * @return 实体对象
     */
    TabInvoiceAccount selectByPrimaryKey(Integer invoiceAccountId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabInvoiceAccount record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabInvoiceAccount record);

    /**
     * 查询启用的那条数据，启用的只有一条
     * @Title: getEnable 
     * @Description:
      * @author guojuxing  
     * @return  com.gic.finance.entity.TabInvoiceAccount 
      */
    TabInvoiceAccount getEnable();
    /**
     * 关闭状态
     * @Title: closeStatus 
     * @Description:
      * @author guojuxing  
     * @return  int 
      */
    int closeStatus();

    /**
     * 查询列表数据
     * @Title: listInvoiceAccount 
     * @Description:
      * @author guojuxing  
     * @return  java.util.List<com.gic.finance.entity.TabInvoiceAccount> 
      */
    List<TabInvoiceAccount> listInvoiceAccount();
}