package com.gic.finance.service;

import com.gic.finance.dto.InvoiceAccountDTO;
import com.gic.finance.entity.TabInvoiceAccount;

import java.util.List;

/**
 * 开票管理-开票账户
 * @ClassName: InvoiceAccountService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/28 5:26 PM 
 */
public interface InvoiceAccountService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void save(InvoiceAccountDTO dto);

    /**
     * 查询启用的那条数据，启用的只有一条
     * @Title: getEnable 
     * @Description:
      * @author guojuxing  
     * @return  com.gic.finance.entity.TabInvoiceAccount 
      */
    TabInvoiceAccount getEnable();

    /**
     * 查询
     * @Title: getById 
     * @Description:
     * @author guojuxing
     * @param id 
     * @return  com.gic.finance.entity.TabInvoiceAccount 
     */
    TabInvoiceAccount getById(Integer id);
    /**
     * 更新
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void update(InvoiceAccountDTO dto);

    /**
     * 关闭
     * @Title: closeStatus 
     * @Description:
      * @author guojuxing  
     * @return  void 
      */
    void closeStatus();

    /**
     * 查询列表数据
     * @Title: listInvoiceAccount 
     * @Description:
      * @author guojuxing  
     * @return  java.util.List<com.gic.finance.entity.TabInvoiceAccount> 
      */
    List<TabInvoiceAccount> listInvoiceAccount();
}
