package com.gic.finance.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.finance.dao.mapper.TabInvoiceAccountMapper;
import com.gic.finance.dto.InvoiceAccountDTO;
import com.gic.finance.entity.TabInvoiceAccount;
import com.gic.finance.service.InvoiceAccountService;
import com.gic.finance.util.DeleteFlagConstants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 * 发票账号
 * @ClassName: InvoiceAccountServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/11 11:36 AM 
 */
@Service("invoiceAccountService")
public class InvoiceAccountServiceImpl implements InvoiceAccountService{
    @Autowired
    private TabInvoiceAccountMapper tabInvoiceAccountMapper;
    @Override
    public void save(InvoiceAccountDTO dto) {
        TabInvoiceAccount record = EntityUtil.changeEntityNew(TabInvoiceAccount.class, dto);
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        tabInvoiceAccountMapper.insert(record);
    }

    @Override
    public TabInvoiceAccount getEnable() {
        return tabInvoiceAccountMapper.getEnable();
    }

    @Override
    public TabInvoiceAccount getById(Integer id) {
        return tabInvoiceAccountMapper.selectByPrimaryKey(id);
    }

    @Override
    public void update(InvoiceAccountDTO dto) {
        dto.setUpdateTime(new Date());
        tabInvoiceAccountMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityNew(TabInvoiceAccount.class, dto));
    }

    @Override
    public void closeStatus() {
        tabInvoiceAccountMapper.closeStatus();
    }

    @Override
    public List<TabInvoiceAccount> listInvoiceAccount() {
        return tabInvoiceAccountMapper.listInvoiceAccount();
    }
}
