package com.gic.finance.util.cashwithdrawal;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.finance.dto.CashWithdrawalDTO;
import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.service.CashWithdrawalService;

/**
 * 体现状态抽象
 * @ClassName: AbstractState 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/6 10:18 AM 
 */
public abstract class AbstractState {

    /**
     * 提现申请
     * @Title: cashWithdrawal 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
     */
    public abstract ServiceResponse<String> cashWithdrawal(CashWithdrawalDTO dto);

    /**
     * 审核通过
     * @param record
     * @return
     */
    public abstract ServiceResponse<Void> approval(TabCashWithdrawal record);

    /**
     * 审核拒绝
     * @param record
     * @return
     */
    public abstract ServiceResponse<Void> reject(TabCashWithdrawal record);

    /**
     * 审核取消
     * @param record
     * @return
     */
    public abstract ServiceResponse<Void> cancel(TabCashWithdrawal record);

    /**
     * 完成（打款成功）
     * @param record
     * @return
     */
    public abstract ServiceResponse<Void> complete(TabCashWithdrawal record);
}
